#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSPViolationReportBody = 858,
  CSS = 881,
  CSS2Properties = 885,
  CSSAnimation = 900,
  CSSConditionRule = 913,
  CSSContainerRule = 930,
  CSSCounterStyleRule = 947,
  CSSCustomPropertyRegisteredEvent = 967,
  CSSFontFaceRule = 1000,
  CSSFontFeatureValuesRule = 1016,
  CSSFontPaletteValuesRule = 1041,
  CSSGroupingRule = 1066,
  CSSImportRule = 1082,
  CSSKeyframeRule = 1096,
  CSSKeyframesRule = 1112,
  CSSLayerBlockRule = 1129,
  CSSLayerStatementRule = 1147,
  CSSMarginRule = 1169,
  CSSMediaRule = 1183,
  CSSMozDocumentRule = 1196,
  CSSNamespaceRule = 1215,
  CSSNestedDeclarations = 1232,
  CSSPageDescriptors = 1254,
  CSSPageRule = 1273,
  CSSPositionTryDescriptors = 1285,
  CSSPositionTryRule = 1311,
  CSSPropertyRule = 1330,
  CSSPseudoElement = 1346,
  CSSRule = 1363,
  CSSRuleList = 1371,
  CSSScopeRule = 1383,
  CSSStartingStyleRule = 1396,
  CSSStyleDeclaration = 1417,
  CSSStyleRule = 1437,
  CSSStyleSheet = 1450,
  CSSSupportsRule = 1464,
  CSSTransition = 1480,
  Cache = 1494,
  CacheStorage = 1500,
  CallbackDebuggerNotification = 1513,
  CanonicalBrowsingContext = 1542,
  CanvasCaptureMediaStream = 1567,
  CanvasGradient = 1592,
  CanvasPattern = 1607,
  CanvasRenderingContext2D = 1621,
  CaretPosition = 1646,
  CaretStateChangedEvent = 1660,
  ChannelMergerNode = 1683,
  ChannelSplitterNode = 1701,
  ChannelWrapper = 1721,
  CharacterData = 1736,
  CheckerboardReportService = 1750,
  ChildProcessMessageManager = 1776,
  ChildSHistory = 1803,
  ChromeMessageBroadcaster = 1817,
  ChromeMessageSender = 1842,
  ChromeNodeList = 1862,
  ChromeUtils = 1877,
  ChromeWorker = 1889,
  Client = 1902,
  Clients = 1909,
  Clipboard = 1917,
  ClipboardEvent = 1927,
  ClipboardItem = 1942,
  ClonedErrorHolder = 1956,
  CloseEvent = 1974,
  CloseWatcher = 1985,
  CommandEvent = 1998,
  Comment = 2011,
  CompositionEvent = 2019,
  CompressionStream = 2036,
  ConsoleInstance = 2054,
  ConstantSourceNode = 2070,
  ContentFrameMessageManager = 2089,
  ContentProcessMessageManager = 2116,
  ContentVisibilityAutoStateChangeEvent = 2145,
  ConvolverNode = 2183,
  CookieChangeEvent = 2197,
  CookieStore = 2215,
  CountQueuingStrategy = 2227,
  CreateOfferRequest = 2248,
  Credential = 2267,
  CredentialsContainer = 2278,
  Crypto = 2299,
  CryptoKey = 2306,
  CustomElementRegistry = 2316,
  CustomEvent = 2338,
  CustomStateSet = 2350,
  DOMException = 2365,
  DOMImplementation = 2378,
  DOMLocalization = 2396,
  DOMMatrix = 2412,
  DOMMatrixReadOnly = 2422,
  DOMParser = 2440,
  DOMPoint = 2450,
  DOMPointReadOnly = 2459,
  DOMQuad = 2476,
  DOMRect = 2484,
  DOMRectList = 2492,
  DOMRectReadOnly = 2504,
  DOMStringList = 2520,
  DOMStringMap = 2534,
  DOMTokenList = 2547,
  DataTransfer = 2560,
  DataTransferItem = 2573,
  DataTransferItemList = 2590,
  DebuggerNotification = 2611,
  DebuggerNotificationObserver = 2632,
  DecompressionStream = 2661,
  DedicatedWorkerGlobalScope = 2681,
  DelayNode = 2708,
  DeprecationReportBody = 2718,
  DeviceAcceleration = 2740,
  DeviceLightEvent = 2759,
  DeviceMotionEvent = 2776,
  DeviceOrientationEvent = 2794,
  DeviceRotationRate = 2817,
  Directory = 2836,
  Document = 2846,
  DocumentFragment = 2855,
  DocumentL10n = 2872,
  DocumentTimeline = 2885,
  DocumentType = 2902,
  DominatorTree = 2915,
  DragEvent = 2929,
  DynamicsCompressorNode = 2939,
  EXT_blend_minmax = 2962,
  EXT_color_buffer_float = 2979,
  EXT_color_buffer_half_float = 3002,
  EXT_depth_clamp = 3030,
  EXT_disjoint_timer_query = 3046,
  EXT_float_blend = 3071,
  EXT_frag_depth = 3087,
  EXT_sRGB = 3102,
  EXT_shader_texture_lod = 3111,
  EXT_texture_compression_bptc = 3134,
  EXT_texture_compression_rgtc = 3163,
  EXT_texture_filter_anisotropic = 3192,
  EXT_texture_norm16 = 3223,
  Element = 3242,
  ElementInternals = 3250,
  EncodedAudioChunk = 3267,
  EncodedVideoChunk = 3285,
  ErrorEvent = 3303,
  Event = 3314,
  EventCallbackDebuggerNotification = 3320,
  EventCounts = 3354,
  EventSource = 3366,
  EventTarget = 3378,
  Exception = 3390,
  ExtendableEvent = 3400,
  ExtendableMessageEvent = 3416,
  ExtensionAlarms = 3439,
  ExtensionBrowser = 3455,
  ExtensionBrowserSettings = 3472,
  ExtensionBrowserSettingsColorManagement = 3497,
  ExtensionDns = 3537,
  ExtensionEventManager = 3550,
  ExtensionMockAPI = 3572,
  ExtensionPort = 3589,
  ExtensionProxy = 3603,
  ExtensionRuntime = 3618,
  ExtensionScripting = 3635,
  ExtensionSetting = 3654,
  ExtensionTest = 3671,
  External = 3685,
  FeaturePolicy = 3694,
  FeaturePolicyViolationReportBody = 3708,
  FetchEvent = 3741,
  FetchObserver = 3752,
  File = 3766,
  FileList = 3771,
  FileReader = 3780,
  FileReaderSync = 3791,
  FileSystem = 3806,
  FileSystemDirectoryEntry = 3817,
  FileSystemDirectoryHandle = 3842,
  FileSystemDirectoryHandle_AsyncIterator = 3868,
  FileSystemDirectoryIterator = 3908,
  FileSystemDirectoryReader = 3936,
  FileSystemEntry = 3962,
  FileSystemFileEntry = 3978,
  FileSystemFileHandle = 3998,
  FileSystemHandle = 4019,
  FileSystemSyncAccessHandle = 4036,
  FileSystemWritableFileStream = 4063,
  Flex = 4092,
  FlexItemValues = 4097,
  FlexLineValues = 4112,
  FluentBundle = 4127,
  FluentBundleAsyncIterator = 4140,
  FluentBundleIterator = 4166,
  FluentPattern = 4187,
  FluentResource = 4201,
  FocusEvent = 4216,
  FontFace = 4227,
  FontFaceSet = 4236,
  FontFaceSetIterator = 4248,
  FontFaceSetLoadEvent = 4268,
  FormData = 4289,
  FormData_Iterator = 4298,
  FormDataEvent = 4316,
  FragmentDirective = 4330,
  FrameCrashedEvent = 4348,
  FrameLoader = 4366,
  GPU = 4378,
  GPUAdapter = 4382,
  GPUAdapterInfo = 4393,
  GPUBindGroup = 4408,
  GPUBindGroupLayout = 4421,
  GPUBuffer = 4440,
  GPUBufferUsage = 4450,
  GPUCanvasContext = 4465,
  GPUColorWrite = 4482,
  GPUCommandBuffer = 4496,
  GPUCommandEncoder = 4513,
  GPUCompilationInfo = 4531,
  GPUCompilationMessage = 4550,
  GPUComputePassEncoder = 4572,
  GPUComputePipeline = 4594,
  GPUDevice = 4613,
  GPUDeviceLostInfo = 4623,
  GPUError = 4641,
  GPUInternalError = 4650,
  GPUMapMode = 4667,
  GPUOutOfMemoryError = 4678,
  GPUPipelineLayout = 4698,
  GPUQuerySet = 4716,
  GPUQueue = 4728,
  GPURenderBundle = 4737,
  GPURenderBundleEncoder = 4753,
  GPURenderPassEncoder = 4776,
  GPURenderPipeline = 4797,
  GPUSampler = 4815,
  GPUShaderModule = 4826,
  GPUShaderStage = 4842,
  GPUSupportedFeatures = 4857,
  GPUSupportedLimits = 4878,
  GPUTexture = 4897,
  GPUTextureUsage = 4908,
  GPUTextureView = 4924,
  GPUUncapturedErrorEvent = 4939,
  GPUValidationError = 4963,
  GainNode = 4982,
  Gamepad = 4991,
  GamepadAxisMoveEvent = 4999,
  GamepadButton = 5020,
  GamepadButtonEvent = 5034,
  GamepadEvent = 5053,
  GamepadHapticActuator = 5066,
  GamepadLightIndicator = 5088,
  GamepadPose = 5110,
  GamepadServiceTest = 5122,
  GamepadTouch = 5141,
  Geolocation = 5154,
  GeolocationCoordinates = 5166,
  GeolocationPosition = 5189,
  GeolocationPositionError = 5209,
  GetUserMediaRequest = 5234,
  GleanBoolean = 5254,
  GleanCategory = 5267,
  GleanCounter = 5281,
  GleanCustomDistribution = 5294,
  GleanDatetime = 5318,
  GleanDenominator = 5332,
  GleanEvent = 5349,
  GleanImpl = 5360,
  GleanLabeled = 5370,
  GleanMemoryDistribution = 5383,
  GleanMetric = 5407,
  GleanNumerator = 5419,
  GleanObject = 5434,
  GleanPingsImpl = 5446,
  GleanQuantity = 5461,
  GleanRate = 5475,
  GleanString = 5485,
  GleanStringList = 5497,
  GleanText = 5513,
  GleanTimespan = 5523,
  GleanTimingDistribution = 5537,
  GleanUrl = 5561,
  GleanUuid = 5570,
  Grid = 5580,
  GridArea = 5585,
  GridDimension = 5594,
  GridLine = 5608,
  GridLines = 5617,
  GridTrack = 5627,
  GridTracks = 5637,
  HTMLAllCollection = 5648,
  HTMLAnchorElement = 5666,
  HTMLAreaElement = 5684,
  HTMLAudioElement = 5700,
  HTMLBRElement = 5717,
  HTMLBaseElement = 5731,
  HTMLBodyElement = 5747,
  HTMLButtonElement = 5763,
  HTMLCanvasElement = 5781,
  HTMLCollection = 5799,
  HTMLDListElement = 5814,
  HTMLDataElement = 5831,
  HTMLDataListElement = 5847,
  HTMLDetailsElement = 5867,
  HTMLDialogElement = 5886,
  HTMLDirectoryElement = 5904,
  HTMLDivElement = 5925,
  HTMLDocument = 5940,
  HTMLElement = 5953,
  HTMLEmbedElement = 5965,
  HTMLFieldSetElement = 5982,
  HTMLFontElement = 6002,
  HTMLFormControlsCollection = 6018,
  HTMLFormElement = 6045,
  HTMLFrameElement = 6061,
  HTMLFrameSetElement = 6078,
  HTMLHRElement = 6098,
  HTMLHeadElement = 6112,
  HTMLHeadingElement = 6128,
  HTMLHtmlElement = 6147,
  HTMLIFrameElement = 6163,
  HTMLImageElement = 6181,
  HTMLInputElement = 6198,
  HTMLLIElement = 6215,
  HTMLLabelElement = 6229,
  HTMLLegendElement = 6246,
  HTMLLinkElement = 6264,
  HTMLMapElement = 6280,
  HTMLMarqueeElement = 6295,
  HTMLMediaElement = 6314,
  HTMLMenuElement = 6331,
  HTMLMetaElement = 6347,
  HTMLMeterElement = 6363,
  HTMLModElement = 6380,
  HTMLOListElement = 6395,
  HTMLObjectElement = 6412,
  HTMLOptGroupElement = 6430,
  HTMLOptionElement = 6450,
  HTMLOptionsCollection = 6468,
  HTMLOutputElement = 6490,
  HTMLParagraphElement = 6508,
  HTMLParamElement = 6529,
  HTMLPictureElement = 6546,
  HTMLPreElement = 6565,
  HTMLProgressElement = 6580,
  HTMLQuoteElement = 6600,
  HTMLScriptElement = 6617,
  HTMLSelectElement = 6635,
  HTMLSlotElement = 6653,
  HTMLSourceElement = 6669,
  HTMLSpanElement = 6687,
  HTMLStyleElement = 6703,
  HTMLTableCaptionElement = 6720,
  HTMLTableCellElement = 6744,
  HTMLTableColElement = 6765,
  HTMLTableElement = 6785,
  HTMLTableRowElement = 6802,
  HTMLTableSectionElement = 6822,
  HTMLTemplateElement = 6846,
  HTMLTextAreaElement = 6866,
  HTMLTimeElement = 6886,
  HTMLTitleElement = 6902,
  HTMLTrackElement = 6919,
  HTMLUListElement = 6936,
  HTMLUnknownElement = 6953,
  HTMLVideoElement = 6972,
  HashChangeEvent = 6989,
  Headers = 7005,
  Headers_Iterator = 7013,
  HeapSnapshot = 7030,
  Highlight = 7043,
  HighlightRegistry = 7053,
  History = 7071,
  IDBCursor = 7079,
  IDBCursorWithValue = 7089,
  IDBDatabase = 7108,
  IDBFactory = 7120,
  IDBIndex = 7131,
  IDBKeyRange = 7140,
  IDBObjectStore = 7152,
  IDBOpenDBRequest = 7167,
  IDBRequest = 7184,
  IDBTransaction = 7195,
  IDBVersionChangeEvent = 7210,
  IIRFilterNode = 7232,
  IOUtils = 7246,
  IdentityCredential = 7254,
  IdleDeadline = 7273,
  Image = 7286,
  ImageBitmap = 7292,
  ImageBitmapRenderingContext = 7304,
  ImageCapture = 7332,
  ImageCaptureError = 7345,
  ImageCaptureErrorEvent = 7363,
  ImageData = 7386,
  ImageDecoder = 7396,
  ImageDocument = 7409,
  ImageTrack = 7423,
  ImageTrackList = 7434,
  InputEvent = 7449,
  InspectorCSSParser = 7460,
  InspectorFontFace = 7479,
  InspectorUtils = 7497,
  InstallTriggerImpl = 7512,
  IntersectionObserver = 7531,
  IntersectionObserverEntry = 7552,
  IntlUtils = 7578,
  InvokeEvent = 7588,
  JSProcessActorChild = 7600,
  JSProcessActorParent = 7620,
  JSWindowActorChild = 7641,
  JSWindowActorParent = 7660,
  KeyEvent = 7680,
  KeyboardEvent = 7689,
  KeyframeEffect = 7703,
  L10nFileSource = 7718,
  L10nOverlays = 7733,
  L10nRegistry = 7746,
  LargestContentfulPaint = 7759,
  LegacyMozTCPSocket = 7782,
  Localization = 7801,
  Location = 7814,
  Lock = 7823,
  LockManager = 7828,
  MIDIAccess = 7840,
  MIDIConnectionEvent = 7851,
  MIDIInput = 7871,
  MIDIInputMap = 7881,
  MIDIMessageEvent = 7894,
  MIDIOutput = 7911,
  MIDIOutputMap = 7922,
  MIDIPort = 7936,
  MLS = 7945,
  MLSGroupView = 7949,
  MOZ_debug = 7962,
  MatchGlob = 7972,
  MatchPattern = 7982,
  MatchPatternSet = 7995,
  MathMLElement = 8011,
  MediaCapabilities = 8025,
  MediaControlService = 8043,
  MediaController = 8063,
  MediaDeviceInfo = 8079,
  MediaDevices = 8095,
  MediaElementAudioSourceNode = 8108,
  MediaEncryptedEvent = 8136,
  MediaError = 8156,
  MediaKeyError = 8167,
  MediaKeyMessageEvent = 8181,
  MediaKeySession = 8202,
  MediaKeyStatusMap = 8218,
  MediaKeyStatusMap_Iterator = 8236,
  MediaKeySystemAccess = 8263,
  MediaKeys = 8284,
  MediaList = 8294,
  MediaMetadata = 8304,
  MediaQueryList = 8318,
  MediaQueryListEvent = 8333,
  MediaRecorder = 8353,
  MediaRecorderErrorEvent = 8367,
  MediaSession = 8391,
  MediaSource = 8404,
  MediaStream = 8416,
  MediaStreamAudioDestinationNode = 8428,
  MediaStreamAudioSourceNode = 8460,
  MediaStreamError = 8487,
  MediaStreamEvent = 8504,
  MediaStreamTrack = 8521,
  MediaStreamTrackAudioSourceNode = 8538,
  MediaStreamTrackEvent = 8570,
  MerchantValidationEvent = 8592,
  MessageBroadcaster = 8616,
  MessageChannel = 8635,
  MessageEvent = 8650,
  MessageListenerManager = 8663,
  MessagePort = 8686,
  MessageSender = 8698,
  MimeType = 8712,
  MimeTypeArray = 8721,
  MouseEvent = 8735,
  MouseScrollEvent = 8746,
  MozCanvasPrintState = 8763,
  MozDocumentMatcher = 8783,
  MozDocumentObserver = 8802,
  MozQueryInterface = 8822,
  MozSharedMap = 8840,
  MozSharedMap_Iterator = 8853,
  MozSharedMapChangeEvent = 8875,
  MozStorageAsyncStatementParams = 8899,
  MozStorageStatementParams = 8930,
  MozStorageStatementRow = 8956,
  MozWritableSharedMap = 8979,
  MutationEvent = 9000,
  MutationObserver = 9014,
  MutationRecord = 9031,
  NamedNodeMap = 9046,
  NavigateEvent = 9059,
  Navigation = 9073,
  NavigationActivation = 9084,
  NavigationCurrentEntryChangeEvent = 9105,
  NavigationDestination = 9139,
  NavigationHistoryEntry = 9161,
  NavigationPreloadManager = 9184,
  NavigationTransition = 9209,
  Navigator = 9230,
  NetworkInformation = 9240,
  Node = 9259,
  NodeFilter = 9264,
  NodeIterator = 9275,
  NodeList = 9288,
  Notification = 9297,
  NotificationEvent = 9310,
  NotifyPaintEvent = 9328,
  OES_draw_buffers_indexed = 9345,
  OES_element_index_uint = 9370,
  OES_fbo_render_mipmap = 9393,
  OES_standard_derivatives = 9415,
  OES_texture_float = 9440,
  OES_texture_float_linear = 9458,
  OES_texture_half_float = 9483,
  OES_texture_half_float_linear = 9506,
  OES_vertex_array_object = 9536,
  OVR_multiview2 = 9560,
  OfflineAudioCompletionEvent = 9575,
  OfflineAudioContext = 9603,
  OffscreenCanvas = 9623,
  OffscreenCanvasRenderingContext2D = 9639,
  Option = 9673,
  OscillatorNode = 9680,
  PageTransitionEvent = 9695,
  PaintRequest = 9715,
  PaintRequestList = 9728,
  PaintWorkletGlobalScope = 9745,
  PannerNode = 9769,
  ParentProcessMessageManager = 9780,
  Path2D = 9808,
  PathUtils = 9815,
  PaymentAddress = 9825,
  PaymentMethodChangeEvent = 9840,
  PaymentRequest = 9865,
  PaymentRequestUpdateEvent = 9880,
  PaymentResponse = 9906,
  Performance = 9922,
  PerformanceEntry = 9934,
  PerformanceEntryEvent = 9951,
  PerformanceEventTiming = 9973,
  PerformanceMark = 9996,
  PerformanceMeasure = 10012,
  PerformanceNavigation = 10031,
  PerformanceNavigationTiming = 10053,
  PerformanceObserver = 10081,
  PerformanceObserverEntryList = 10101,
  PerformancePaintTiming = 10130,
  PerformanceResourceTiming = 10153,
  PerformanceServerTiming = 10179,
  PerformanceTiming = 10203,
  PeriodicWave = 10221,
  PermissionStatus = 10234,
  Permissions = 10251,
  PlacesBookmark = 10263,
  PlacesBookmarkAddition = 10278,
  PlacesBookmarkChanged = 10301,
  PlacesBookmarkGuid = 10323,
  PlacesBookmarkKeyword = 10342,
  PlacesBookmarkMoved = 10364,
  PlacesBookmarkRemoved = 10384,
  PlacesBookmarkTags = 10406,
  PlacesBookmarkTime = 10425,
  PlacesBookmarkTitle = 10444,
  PlacesBookmarkUrl = 10464,
  PlacesEvent = 10482,
  PlacesEventCounts = 10494,
  PlacesFavicon = 10512,
  PlacesHistoryCleared = 10526,
  PlacesObservers = 10547,
  PlacesPurgeCaches = 10563,
  PlacesRanking = 10581,
  PlacesVisit = 10595,
  PlacesVisitRemoved = 10607,
  PlacesVisitTitle = 10626,
  PlacesWeakCallbackWrapper = 10643,
  Plugin = 10669,
  PluginArray = 10676,
  PluginCrashedEvent = 10688,
  PointerEvent = 10707,
  PopStateEvent = 10720,
  PopupBlockedEvent = 10734,
  PopupPositionedEvent = 10752,
  PositionStateEvent = 10773,
  PrecompiledScript = 10792,
  PrivateAttribution = 10810,
  ProcessMessageManager = 10829,
  ProcessingInstruction = 10851,
  ProgressEvent = 10873,
  PromiseDebugging = 10887,
  PromiseNativeHandler = 10904,
  PromiseRejectionEvent = 10925,
  PublicKeyCredential = 10947,
  PushEvent = 10967,
  PushManager = 10977,
  PushManagerImpl = 10989,
  PushMessageData = 11005,
  PushSubscription = 11021,
  PushSubscriptionOptions = 11038,
  RadioNodeList = 11062,
  Range = 11076,
  ReadableByteStreamController = 11082,
  ReadableStream = 11111,
  ReadableStream_AsyncIterator = 11126,
  ReadableStreamBYOBReader = 11155,
  ReadableStreamBYOBRequest = 11180,
  ReadableStreamDefaultController = 11206,
  ReadableStreamDefaultReader = 11238,
  Report = 11266,
  ReportBody = 11273,
  ReportingObserver = 11284,
  Request = 11302,
  ResizeObserver = 11310,
  ResizeObserverEntry = 11325,
  ResizeObserverSize = 11345,
  Response = 11364,
  SVGAElement = 11373,
  SVGAngle = 11385,
  SVGAnimateElement = 11394,
  SVGAnimateMotionElement = 11412,
  SVGAnimateTransformElement = 11436,
  SVGAnimatedAngle = 11463,
  SVGAnimatedBoolean = 11480,
  SVGAnimatedEnumeration = 11499,
  SVGAnimatedInteger = 11522,
  SVGAnimatedLength = 11541,
  SVGAnimatedLengthList = 11559,
  SVGAnimatedNumber = 11581,
  SVGAnimatedNumberList = 11599,
  SVGAnimatedPreserveAspectRatio = 11621,
  SVGAnimatedRect = 11652,
  SVGAnimatedString = 11668,
  SVGAnimatedTransformList = 11686,
  SVGAnimationElement = 11711,
  SVGCircleElement = 11731,
  SVGClipPathElement = 11748,
  SVGComponentTransferFunctionElement = 11767,
  SVGDefsElement = 11803,
  SVGDescElement = 11818,
  SVGDiscardElement = 11833,
  SVGElement = 11851,
  SVGEllipseElement = 11862,
  SVGFEBlendElement = 11880,
  SVGFEColorMatrixElement = 11898,
  SVGFEComponentTransferElement = 11922,
  SVGFECompositeElement = 11952,
  SVGFEConvolveMatrixElement = 11974,
  SVGFEDiffuseLightingElement = 12001,
  SVGFEDisplacementMapElement = 12029,
  SVGFEDistantLightElement = 12057,
  SVGFEDropShadowElement = 12082,
  SVGFEFloodElement = 12105,
  SVGFEFuncAElement = 12123,
  SVGFEFuncBElement = 12141,
  SVGFEFuncGElement = 12159,
  SVGFEFuncRElement = 12177,
  SVGFEGaussianBlurElement = 12195,
  SVGFEImageElement = 12220,
  SVGFEMergeElement = 12238,
  SVGFEMergeNodeElement = 12256,
  SVGFEMorphologyElement = 12278,
  SVGFEOffsetElement = 12301,
  SVGFEPointLightElement = 12320,
  SVGFESpecularLightingElement = 12343,
  SVGFESpotLightElement = 12372,
  SVGFETileElement = 12394,
  SVGFETurbulenceElement = 12411,
  SVGFilterElement = 12434,
  SVGForeignObjectElement = 12451,
  SVGGElement = 12475,
  SVGGeometryElement = 12487,
  SVGGradientElement = 12506,
  SVGGraphicsElement = 12525,
  SVGImageElement = 12544,
  SVGLength = 12560,
  SVGLengthList = 12570,
  SVGLineElement = 12584,
  SVGLinearGradientElement = 12599,
  SVGMPathElement = 12624,
  SVGMarkerElement = 12640,
  SVGMaskElement = 12657,
  SVGMatrix = 12672,
  SVGMetadataElement = 12682,
  SVGNumber = 12701,
  SVGNumberList = 12711,
  SVGPathElement = 12725,
  SVGPathSegment = 12740,
  SVGPatternElement = 12755,
  SVGPoint = 12773,
  SVGPointList = 12782,
  SVGPolygonElement = 12795,
  SVGPolylineElement = 12813,
  SVGPreserveAspectRatio = 12832,
  SVGRadialGradientElement = 12855,
  SVGRect = 12880,
  SVGRectElement = 12888,
  SVGSVGElement = 12903,
  SVGScriptElement = 12917,
  SVGSetElement = 12934,
  SVGStopElement = 12948,
  SVGStringList = 12963,
  SVGStyleElement = 12977,
  SVGSwitchElement = 12993,
  SVGSymbolElement = 13010,
  SVGTSpanElement = 13027,
  SVGTextContentElement = 13043,
  SVGTextElement = 13065,
  SVGTextPathElement = 13080,
  SVGTextPositioningElement = 13099,
  SVGTitleElement = 13125,
  SVGTransform = 13141,
  SVGTransformList = 13154,
  SVGUnitTypes = 13171,
  SVGUseElement = 13184,
  SVGViewElement = 13198,
  Sanitizer = 13213,
  Scheduler = 13223,
  Screen = 13233,
  ScreenLuminance = 13240,
  ScreenOrientation = 13256,
  ScriptProcessorNode = 13274,
  ScrollAreaEvent = 13294,
  ScrollViewChangeEvent = 13310,
  SecurityPolicyViolationEvent = 13332,
  Selection = 13361,
  ServiceWorker = 13371,
  ServiceWorkerContainer = 13385,
  ServiceWorkerGlobalScope = 13408,
  ServiceWorkerRegistration = 13433,
  SessionStoreFormData = 13459,
  SessionStoreScrollData = 13480,
  SessionStoreUtils = 13503,
  ShadowRealmGlobalScope = 13521,
  ShadowRoot = 13544,
  SharedWorker = 13555,
  SharedWorkerGlobalScope = 13568,
  SimpleGestureEvent = 13592,
  SourceBuffer = 13611,
  SourceBufferList = 13624,
  SpeechGrammar = 13641,
  SpeechGrammarList = 13655,
  SpeechRecognition = 13673,
  SpeechRecognitionAlternative = 13691,
  SpeechRecognitionError = 13720,
  SpeechRecognitionEvent = 13743,
  SpeechRecognitionResult = 13766,
  SpeechRecognitionResultList = 13790,
  SpeechSynthesis = 13818,
  SpeechSynthesisErrorEvent = 13834,
  SpeechSynthesisEvent = 13860,
  SpeechSynthesisUtterance = 13881,
  SpeechSynthesisVoice = 13906,
  StaticRange = 13927,
  StereoPannerNode = 13939,
  Storage = 13956,
  StorageEvent = 13964,
  StorageManager = 13977,
  StreamFilter = 13992,
  StreamFilterDataEvent = 14005,
  StructuredCloneHolder = 14027,
  StructuredCloneTester = 14049,
  StyleSheet = 14071,
  StyleSheetApplicableStateChangeEvent = 14082,
  StyleSheetList = 14119,
  StyleSheetRemovedEvent = 14134,
  SubmitEvent = 14157,
  SubtleCrypto = 14169,
  SyncMessageSender = 14182,
  SyncReadFile = 14200,
  TCPServerSocket = 14213,
  TCPServerSocketEvent = 14229,
  TCPSocket = 14250,
  TCPSocketErrorEvent = 14260,
  TCPSocketEvent = 14280,
  TaskController = 14295,
  TaskPriorityChangeEvent = 14310,
  TaskSignal = 14334,
  TelemetryStopwatch = 14345,
  TestUtils = 14364,
  TestingDeprecatedInterface = 14374,
  Text = 14401,
  TextClause = 14406,
  TextDecoder = 14417,
  TextDecoderStream = 14429,
  TextEncoder = 14447,
  TextEncoderStream = 14459,
  TextEvent = 14477,
  TextMetrics = 14487,
  TextTrack = 14499,
  TextTrackCue = 14509,
  TextTrackCueList = 14522,
  TextTrackList = 14539,
  TimeEvent = 14553,
  TimeRanges = 14563,
  ToggleEvent = 14574,
  Touch = 14586,
  TouchEvent = 14592,
  TouchList = 14603,
  TrackEvent = 14613,
  TransformStream = 14624,
  TransformStreamDefaultController = 14640,
  TransitionEvent = 14673,
  TreeColumn = 14689,
  TreeColumns = 14700,
  TreeContentView = 14712,
  TreeWalker = 14728,
  TrustedHTML = 14739,
  TrustedScript = 14751,
  TrustedScriptURL = 14765,
  TrustedTypePolicy = 14782,
  TrustedTypePolicyFactory = 14800,
  UDPMessageEvent = 14825,
  UDPSocket = 14841,
  UIEvent = 14851,
  URL = 14859,
  URLSearchParams = 14863,
  URLSearchParams_Iterator = 14879,
  UniFFIPointer = 14904,
  UniFFIScaffolding = 14918,
  UserActivation = 14936,
  UserInteraction = 14951,
  UserProximityEvent = 14967,
  VRDisplay = 14986,
  VRDisplayCapabilities = 14996,
  VRDisplayEvent = 15018,
  VREyeParameters = 15033,
  VRFieldOfView = 15049,
  VRFrameData = 15063,
  VRMockController = 15075,
  VRMockDisplay = 15092,
  VRPose = 15106,
  VRServiceTest = 15113,
  VRStageParameters = 15127,
  VTTCue = 15145,
  VTTRegion = 15152,
  ValidityState = 15162,
  VideoColorSpace = 15176,
  VideoDecoder = 15192,
  VideoEncoder = 15205,
  VideoFrame = 15218,
  VideoPlaybackQuality = 15229,
  VideoTrack = 15250,
  VideoTrackList = 15261,
  ViewTransition = 15276,
  VisualViewport = 15291,
  WEBGL_color_buffer_float = 15306,
  WEBGL_compressed_texture_astc = 15331,
  WEBGL_compressed_texture_etc = 15361,
  WEBGL_compressed_texture_etc1 = 15390,
  WEBGL_compressed_texture_pvrtc = 15420,
  WEBGL_compressed_texture_s3tc = 15451,
  WEBGL_compressed_texture_s3tc_srgb = 15481,
  WEBGL_debug_renderer_info = 15516,
  WEBGL_debug_shaders = 15542,
  WEBGL_depth_texture = 15562,
  WEBGL_draw_buffers = 15582,
  WEBGL_explicit_present = 15601,
  WEBGL_lose_context = 15624,
  WEBGL_provoking_vertex = 15643,
  WGSLLanguageFeatures = 15666,
  WakeLock = 15687,
  WakeLockSentinel = 15696,
  WaveShaperNode = 15713,
  WebExtensionContentScript = 15728,
  WebExtensionPolicy = 15754,
  WebGL2RenderingContext = 15773,
  WebGLActiveInfo = 15796,
  WebGLBuffer = 15812,
  WebGLContextEvent = 15824,
  WebGLFramebuffer = 15842,
  WebGLProgram = 15859,
  WebGLQuery = 15872,
  WebGLRenderbuffer = 15883,
  WebGLRenderingContext = 15901,
  WebGLSampler = 15923,
  WebGLShader = 15936,
  WebGLShaderPrecisionFormat = 15948,
  WebGLSync = 15975,
  WebGLTexture = 15985,
  WebGLTransformFeedback = 15998,
  WebGLUniformLocation = 16021,
  WebGLVertexArrayObject = 16042,
  WebKitCSSMatrix = 16065,
  WebSocket = 16081,
  WebTransport = 16091,
  WebTransportBidirectionalStream = 16104,
  WebTransportDatagramDuplexStream = 16136,
  WebTransportError = 16169,
  WebTransportReceiveStream = 16187,
  WebTransportSendStream = 16213,
  WheelEvent = 16236,
  Window = 16247,
  WindowClient = 16254,
  WindowContext = 16267,
  WindowGlobalChild = 16281,
  WindowGlobalParent = 16299,
  WindowRoot = 16318,
  Worker = 16329,
  WorkerDebuggerGlobalScope = 16336,
  WorkerGlobalScope = 16362,
  WorkerLocation = 16380,
  WorkerNavigator = 16395,
  WorkerTestUtils = 16411,
  Worklet = 16427,
  WorkletGlobalScope = 16435,
  WritableStream = 16454,
  WritableStreamDefaultController = 16469,
  WritableStreamDefaultWriter = 16501,
  XMLDocument = 16529,
  XMLHttpRequest = 16541,
  XMLHttpRequestEventTarget = 16556,
  XMLHttpRequestUpload = 16582,
  XMLSerializer = 16603,
  XPathEvaluator = 16617,
  XPathExpression = 16632,
  XPathResult = 16648,
  XRBoundedReferenceSpace = 16660,
  XRFrame = 16684,
  XRInputSource = 16692,
  XRInputSourceArray = 16706,
  XRInputSourceEvent = 16725,
  XRInputSourcesChangeEvent = 16744,
  XRPose = 16770,
  XRReferenceSpace = 16777,
  XRReferenceSpaceEvent = 16794,
  XRRenderState = 16816,
  XRRigidTransform = 16830,
  XRSession = 16847,
  XRSessionEvent = 16857,
  XRSpace = 16872,
  XRSystem = 16880,
  XRView = 16889,
  XRViewerPose = 16896,
  XRViewport = 16909,
  XRWebGLLayer = 16920,
  XSLTProcessor = 16933,
  XULCommandEvent = 16947,
  XULElement = 16963,
  XULFrameElement = 16974,
  XULMenuElement = 16990,
  XULPopupElement = 17005,
  XULResizerElement = 17021,
  XULTextElement = 17039,
  XULTreeElement = 17054,
  console = 17069,
  webkitSpeechGrammar = 17077,
  webkitSpeechGrammarList = 17097,
  webkitSpeechRecognition = 17121,
  webkitURL = 17145,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
